
Redmine - Feature #13792

Fixing via git push should not break workflow

2013-04-17 15:38 - Ivan Kanis

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

We are running Redmine to 2.2.0.

Our typical workflow is New -> Assigned -> Fixed -> Verified -> Close

When we do push with git we run a hook to update bugs:

curl -sk "https://redmine.vo.com/sys/fetch_changesets?id=${id}&key=${key}"

Bugs that are referenced in the commit message are indeed Fixed.

However, we don't want this mechanism to break our workflow. I mean that an issue that is New or Verified should not become

Fixed.

Am I making sense ?

Related issues:

Is duplicate of Redmine - Defect #13762: SCM auto status change bypassses rol... Confirmed

Copied from Redmine - Feature #12814: Ability to specify target version sort ... Reopened

History

#1 - 2015-12-30 06:50 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Closing this issue as a duplicate of #13762.

#2 - 2015-12-30 06:50 - Go MAEDA

- Is duplicate of Defect #13762: SCM auto status change bypassses roles and permissions added
